/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: TestServlet.java 62525 2011-04-15 12:14:31Z dougd $
 */

package com.sun.ts.tests.jsf.api.javax_faces.component.html.htmlgraphicimage;

import javax.faces.component.UIComponent;
import javax.faces.component.UIComponentBase;
import javax.faces.component.html.HtmlGraphicImage;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;


public final class TestServlet 
    extends com.sun.ts.tests.jsf.api.javax_faces.component.uigraphic.TestServlet {

    private static final String[] attrNames = {
        "alt", "dir", "height", "lang", "longdesc", "onclick", "ondblclick",
        "onkeydown", "onkeypress", "onkeyup", "onmousedown", "onmousemove",
        "onmouseout", "onmouseover", "onmouseup", "style", "styleClass",
        "title", "usemap", "width", "ismap"
    };

    /**
     * <p>Initializes this {@link javax.servlet.Servlet}.</p>
     * 
     * @param config this Servlet's configuration
     * @throws ServletException if an error occurs
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        setRendererType("javax.faces.Image");
        setAttributeNames(attrNames);
    }


    /**
     * <p>Creates a new {@link UIComponent} instance.</p>
     * 
     * @return a new {@link UIComponent} instance.
     */
    protected UIComponentBase createComponent() {
        return new HtmlGraphicImage();
    }
    
// ------------------------------------------- Test Methods ----

}
