/*
 * Copyright (c) 2009, 2015, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: URLClient.java 75507 2017-09-15 08:22:32Z anajosep $
 */

package com.sun.ts.tests.jsf.spec.webapp.tldsig;

import java.io.PrintWriter;

import com.sun.javatest.Status;
import com.sun.ts.tests.jsf.common.client.AbstractUrlClient;

public final class URLClient extends AbstractUrlClient {

	private static final String CONTEXT_ROOT = "/jsf_webapp_tldsig_web";

	public static void main(String[] args) {
		URLClient theTests = new URLClient();
		Status s = theTests.run(args, new PrintWriter(System.out, true),
				new PrintWriter(System.err, true));
		s.exit();
	}

	public Status run(String[] args, PrintWriter out, PrintWriter err) {
		setContextRoot(CONTEXT_ROOT);
		setServletName(DEFAULT_SERVLET_NAME);
		return super.run(args, out, err);
	}

	/*
	 * @class.setup_props: webServerHost; webServerPort; ts_home;
	 */

	/* Test Declarations */

	/**
	 * XXX Test is commented out due to bug ID 20890552.  The test will need to
	 * be reworked so as to not use an RI specific class else it needs to be
	 * deleted.
	 * 
	 * @testName: jsfTldSignatureTest
	 * @assertion_ids: PENDING: add assertion ID(s)
	 * @test_Strategy: Ensure the JSF implementation provides the correct
	 *                 "signature" for the specification required tag handlers.
	 */
	public void jsfTldSignatureTest() throws Fault {
		TEST_PROPS.setProperty(REQUEST, "GET " + CONTEXT_ROOT
				+ "/test.jsp HTTP/1.1");
		TEST_PROPS.setProperty(UNEXPECTED_RESPONSE_MATCH, "FAILED");
		invoke();
	}

} // end of URLClient
